Name: fltk
Version: 1.3.0
Release: %mkrel 3
Group: System/Libraries
Summary: Fast Light Tool Kit (FLTK)
License: LGPLv2+
Source: ftp://ftp.easysw.com/pub/fltk/%{version}/%{name}-%{version}-source.tar.gz
Patch0: fltk-1.3.0-link.patch
URL: http://www.fltk.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libx11-devel
BuildRequires: libxinerama-devel
BuildRequires: mesagl-devel
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: libxft-devel
BuildRequires: man
BuildRequires: cmake

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

#---------------------------------------------------------------------------

%define lib_major 1.3
%define libname %mklibname %{name} 0

%package -n %{libname}
Summary: Fast Light Tool Kit (FLTK) - main library
Group: System/Libraries
Obsoletes: %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}

%description -n	%{libname}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfltk*.so.0
%{_libdir}/libfltk*.so.%{lib_major}

#---------------------------------------------------------------------------

%define develname	%mklibname %name -d

%package -n	%{develname}
Summary: Fast Light Tool Kit (FLTK) - development environment
Group: Development/C
Requires: %{libname} = %{version}
Obsoletes: %{name}-devel < %{version}-%{release}
Obsoletes: %{_lib}%{name}1.1-devel
Provides: %{name}-devel = %{version}-%{release}

%description -n	%{develname}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

Install libfltk1-devel if you need to develop FLTK applications.  You'll
need to install the libfltk1.1 package if you plan to run dynamically 
linked applications.

%files -n %{develname}
%defattr(-,root,root)
%doc README CHANGES
%{_includedir}/F?
%{_bindir}/*
%{multiarch_bindir}/fltk-config
%{_mandir}/man?/*
%{_libdir}/libfltk*.so
%{_libdir}/libfltk*.a
%dir %{_libdir}/FLTK-%{lib_major}
%{_libdir}/FLTK-%{lib_major}/*

#---------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%define Werror_cflags %{nil}
%cmake \
    -DOPTION_BUILD_SHARED_LIBS=ON \
    -DOPTION_CAIRO=ON \
    -DOPTION_CAIROEXT=ON \
    -DOPTION_PREFIX_MAN=%{_mandir} \
    -DOPTION_PREFIX_LIB=%{_libdir} \
    -DOPTION_BUILD_EXAMPLES=OFF \
    -DOPTION_PREFIX_CONFIG=%{_libdir}/FLTK-%{lib_major} \
    -DFLTK_USE_SYSTEM_ZLIB=ON \
    -DFLTK_USE_SYSTEM_JPEG=ON \
    -DFLTK_USE_SYSTEM_PNG=ON \
    -DBUILD_EXAMPLES=OFF
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std -C build

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/fltk-config

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Sun Oct 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-3mdv2012.0
+ Revision: 702450
- attempt to relink against libpng15.so.15

* Mon Sep 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.0-2
+ Revision: 699556
- rebuild for new libpng-1.5

  + Funda Wang <fwang@mandriva.org>
    - lock libmajor
    - New version 1.3.0
    - drop old patches, do not apply any more

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1.10-6
+ Revision: 661661
- multiarch fixes

* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 1.1.10-5
+ Revision: 635156
- bump rel
- tighten BR

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.10-4mdv2011.0
+ Revision: 605159
- rebuild

* Wed Feb 17 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.10-3mdv2010.1
+ Revision: 507145
- force rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.10-2mdv2010.1
+ Revision: 488754
- rebuilt against libjpeg v8

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 1.1.10-1mdv2010.1
+ Revision: 485154
- update to new version 1.1.10

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.9-14mdv2010.0
+ Revision: 416614
- rebuilt against libjpeg v7

* Wed Aug 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1.9-13mdv2010.0
+ Revision: 415413
- fix compilation with gcc 4.4

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 1.1.9-12mdv2009.1
+ Revision: 335174
- fix link dir

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 1.1.9-11mdv2009.1
+ Revision: 335142
- do not build examples
- "fltk-config --libs" should return the same result as --ldflags

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 1.1.9-10mdv2009.1
+ Revision: 314120
- add extra libs to fltk-config
- about to split zlib

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 1.1.9-9mdv2009.1
+ Revision: 314108
- set images in fltk-config

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 1.1.9-8mdv2009.1
+ Revision: 314101
- install manpages and documentations

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 1.1.9-7mdv2009.1
+ Revision: 314096
- fix include dir

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 1.1.9-6mdv2009.1
+ Revision: 314086
- remove wrong provides
- install fltk-config too. It is not deprecated, but missed from installing

* Thu Dec 04 2008 Helio Chissini de Castro <helio@mandriva.com> 1.1.9-4mdv2009.1
+ Revision: 310038
- Bump release to recompile
- Fixed library install with cmake
- Make package right. Since change to cmake, most of software are not
  recognizing fltk in a right way. configure SHOULD NOT be used anymore, and
  fltk-config is deprecated

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.1.9-2mdv2009.0
+ Revision: 264466
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.9-1mdv2009.0
+ Revision: 205946
- New stable release

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.1.8-0.5940.1mdv2008.1
+ Revision: 149729
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.1.8-0.5940.1mdv2008.0
+ Revision: 80679
- move doc files to -devel package (lib policy)
- use Fedora license policy
- new snapshot 5940

* Thu Jun 28 2007 Adam Williamson <awilliamson@mandriva.org> 1.1.8-0.5917.1mdv2008.0
+ Revision: 45320
- correct cleanup, disable debug package build again
- try again with debug...
- close if statement
- clean up after hack, disable debug packages as generation seems broken
- use Fedora trick instead
- rediff and reintroduce x86-64 patch, seems to be needed
- new devel policy
- unversioned doc dir
- go to 1.1.x snapshot series (needed for latest flphoto)


* Fri Aug 25 2006 Gaetan Lehmann <glehmann@mandriva.org> 1.1.7-7mdv2007.0
- add cmake config files

* Tue Jun 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.7-5mdv2007.1
- Rebuild for missing packages

* Sun Jun 25 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1.7-4mdv2007.1
rebuild for png

* Sat Jun 10 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1.7-4mdk
- new mesa BuildRequires

* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1.7-3mdk
- rebuild for sparc

* Tue Mar 07 2006 Austin Acton <austin@mandriva.org> 1.1.7-2mdk
- mkrel
- enable threads
- buildreuqires alsa and GLU

* Mon Mar 06 2006 Austin Acton <austin@mandriva.org> 1.1.7-1mdk
- 1.1.7
- minor tweaks

* Sun Jan 08 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.1.6-3mdk
- Rebuild

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.6-2mdk
- multiarch

* Mon Dec 13 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.6-1mdk
- Updated to version 1.1.6.

* Fri Jun 04 2004 <lmontel@n2.mandrakesoft.com> 1.1.4-3mdk
- Rebuild

* Tue Jan 27 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.4-2mdk
- fix unpackaged files
- fix {build,}requires
- cosmetics

* Wed Oct 08 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.4-1mdk
- 1.1, more lib64 fixes

